 # This ChangeLog starts after enca became a library.
 # See ChangeLog.prelib for changes before that.
 # Unfortunately, there's no ChangeLog for the transition.

 # Later changelog is not maintained for details check Git tree.

v1.9
2005-12-18 David Necas (Yeti) <yeti@physics.muni.cz>
    * NEWS: fixed version number

2005-12-18 David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, src/options.c, AUTHORS: updated version info

2005-12-18 David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1, NEWS, INSTALL: updated docs

2005-12-01 David Necas (Yeti) <yeti@physics.muni.cz>
    * data/Makefile.am, test/Makefile.am: added new files to distribution

2005-12-01 David Necas (Yeti) <yeti@physics.muni.cz>
    * iconvcap.c, data/chinese/chinese.h,
      data/chinese/zh_weight_big5.h, data/chinese/zh_weight_big5.txt,
      data/chinese/zh_weight_gb.txt, data/chinese/zh_weight_gbk.h,
      lib/encnames.c, lib/guess.c, lib/internal.h, lib/lang.c, lib/lang_be.c,
      lib/lang_bg.c, lib/lang_cs.c, lib/lang_et.c, lib/lang_hr.c,
      lib/lang_hu.c, lib/lang_lt.c, lib/lang_lv.c, lib/lang_pl.c,
      lib/lang_ru.c, lib/lang_sk.c, lib/lang_sl.c, lib/lang_uk.c,
      lib/lang_zh.c, lib/multibyte.c, src/convert.c,
      test/test-guess-short.expected, test/zh-s.hz, tools/encodings.dat,
      tools/iconvenc.null: incorporated Zuxy's patches that add HZ encoding
      and improve existing detection, with some code fixes; hz test added to
      tests

2005-12-01 David Necas (Yeti) <yeti@physics.muni.cz>
    * gendoc.pl: some updates to new gtk-doc

v1.8
2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/encnames.c: documeneted ENCA_NAME_STYLE_MIME

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/Makefile.am: bumped library version
    * enca.spec.in, README: added Chinese

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * test/setup.sh, test/zh-s.big5, test/zh-s.gbk, test/zh-s.utf8,
      test/test-convert-64.sh, test/test-convert-filter.sh,
      test/test-guiess-utf8.sh, test/test-default-cs.sh,
      test/test-guess-short.expected, test/Makefile.am:
      added zh tests files, modified conversion tests to skip over languages
      that do not have test pair defined

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/multibyte.c: attempted to merge updated patch by Zuxy

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * THANKS, AUTHORS, configure.ac: bumped version, added people

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * deb/*, Makefile.am: removed deb from CVS and distribution

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * NEWS: updated

2005-11-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * iconvcap.c, lib/guess.c, lib/internal.h, lib/lang.c, lib/Makefile.am,
      lib/multibyte.c, lib/utf8_double.c, tools/encodings.dat, lib/lang_zh.c,
      man/enca.1: Applied Chinese support patch by Zuxy (with some small
      fixes).

2005-09-06 David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1: fixed lots of - to \- (thanks to Michal Cihar)

2005-05-02 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert.c, src/options.c: fixed HAVE_ICONV to HAVE_GOOD_ICONV

v1.7
2005-02-27 David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/encodings.dat: fixed MIME name of UTF-7 to UNICODE-1-1-UTF-7
      (both are registered, the latter used)

2005-02-27 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_iconv.c: fixed a gcc warning

2005-02-27 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/Makefile.am: changed library version (interface added)
    * configure.ac, NEWS, deb/changelog: bumped version
    * INSTALL, THANKS: updated

2005-02-27 David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1: documented -m option, fixed mention of --list encodings

2005-02-27 David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/make_hash.c, tools/encodings.dat, lib/enca.h, lib/encnames.c,
      lib/internal.h, src/options.c, src/enca.c, src/common.h, src/HELP.in:
      added new name style: preferred MIME name
    * iconvcap.c: added a few ISO-8859-16 aliases

2004-12-09 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/common.h: removed long dead PAGER stuff

2004-11-17 David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/libiconv.m4: use system libiconv.m4
    * autogen.sh: require automake 1.8 or better for iconv test related macros
    * src/convert_iconv.c, src/common.h: update for new iconv preprocessor
      symbols
    * config.rpath: added

v1.6
2004-07-22 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/Makefile.am: add $(EXEEXT) to binary names before trying to symlink
      enca -> enconv

2004-07-22 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/Makefile.am: concatenate $(DESTDIR) and $(bindir) w/o / between,
      // has some silly interpretation on Win32
    * Makefile.am: ditto for $(man1dir)

2004-07-22 David Necas (Yeti) <yeti@physics.muni.cz>
    * THANKS, INSTALL: updated

2004-07-20 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_be.c, lib/lang_bg.c, lib/lang_cs.c, lib/lang_et.c,
      lib/lang_hr.c, lib/lang_hu.c, lib/lang_lt.c, lib/lang_lv.c,
      lib/lang_pl.c, lib/lang_ru.c, lib/lang_sk.c, lib/lang_sl.c,
      lib/lang_uk.c: changed English language names to lowercase to match
      locale names

2004-07-20 David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, NEWS, deb/changelog: bumped version

2004-07-20 David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, src/locale_detect.c: check whether LC_MESSAGES is defined,
      and don't use it if it doesn't

2004-07-20 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/filebuf.c: first attempt to emulate ftruncate() with _chsize() on
      Win32

2004-07-20 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert.c: fixed a compiler warning

2004-06-01 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/internal.h: addef if (ptr) to enca_free() definition
    * lib/internal.h, lib/enca.c, lib/lang.c, lib/lang_be.c, lib/lang_bg.c,
      lib/lang_cs.c, lib/lang_et.c, lib/lang_hr.c, lib/lang_hu.c,
      lib/lang_lt.c, lib/lang_lv.c, lib/lang_pl.c, lib/lang_ru.c,
      lib/lang_sk.c, lib/lang_sl.c, lib/lang_uk.c: added lcbits, ucbits fields
      to analyser, lcuchook to language info, and initializing and finalizing
      them, otherwise they are unused

v1.5
2004-05-30 David Necas (Yeti) <yeti@physics.muni.cz>
    * deb/changelog, configure.ac, NEWS: updated and bumped version to 1.5

2004-05-27 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_iconv (iconv_one_step):
      fixed bad can't-recover-in-a-pipe condition making it try to recover
      in a pipe with inevitable segfault

2004-05-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * devel-docs/Makefile.am: removed `-' from cp of most files to make
      impossible to build tarballs w/o docs

2004-05-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac: bumped version to 1.4.1

2004-05-24 David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/gtk-doc.m4, m4/libiconv.m4, m4/libm.m4, m4/librecode.m4,
      m4/localias.m4, m4/recode-bugs.m4, m4/scanf.m4, m4/tools.m4,
      m4/typevar.m4: fixed underquoted definitions
    * Makefile.am, m4/compress.m4, m4/libtoo.m4: removed useless m4 files

v1.4
2004-05-11 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/Makefile.am: bumped library version
    * configure.in, THANKS, INSTALL, NEWS: bumped version, updated

2004-05-11 David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/ctype.c, lib/internal.h, lib/encnames.c, lib/Makefile.am:
      replaced locale-dependent ctype macros with a fixed flag table for ASCII;
      it also directly defines istext, isbinary, and characters acceptable in
      charset names,
      all callers changed

2004-03-20 David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1: using logical sectioning (.SS)

2004-03-08 David Necas (Yeti) <yeti@physics.muni.cz>
    * src/test2c.sh: replaced \0 with &, some *nix seds don't know \0

v1.3
2003-12-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/utf8_double.c: enca_double_utf8_get_candidates() may be called w/o
      prior enca_double_utf8_check(), returns NULL then; public function docs
      were improved

2003-12-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * enca.pc.in: fixed undefined libexecdir

2003-12-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * devel-docs/Makefile.am, devel-docs/libenca-docs.sgml: moved to new-style
      gtk-doc docs and xml, distributing and installing .devhelp files
    * m4/gtk-doc.m4: requiring version 1.0
    * lib/guess.c: added `Since: 1.3' to the new functions

2003-12-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/guess.c, lib/enca.h: added functions to retrieve analyser options
    * lib/enca.h, lib/encnames.c, lib/enca.c, lib/unicodemap.c: moved docs
      from enca.h to .c files
    * lib/Makefile.am: bumped library version (ifaces added)

2003-12-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * script/Makefile.am: remove b- from wrapper names and install them to
      libexec instead of bin, creating non-b- versions using cat
    * src/convert_extern.c: removed check_executability() (i.e. searching
      in PATH), trying to remove b- prefix from extrnal converter names and
      find them in EXTCONV_DIR, added deprecation warning messages
    * deb/enca.dirs, deb/enca.files: added the libexec dir
    * enca.pc.in: added encaextconvdir variable
    * script/Makefile.am: excluded converter wrappers from --help and --version
      tests
    * script/b-cstocs.in, script/b-map.in, script/b-piconv.in, script/b-recode,
      script/b-umap.in: added an error message when empty $3 (i.e. probably
      not called by enca)
    * man/enca.1: updated

2003-12-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/multibyte.c (what_if_it_was_ucs4, is_valid_utf8, looks_like_utf8):
      added bonuses for a good BOM for corresponding transformation formats
    * lib/Makefile.am: bumped library soversion

v1.2
2003-11-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c: rewrote the locale and language name mangling
      functions to take constant strings and always return a newly allocated
      one, fixing segfaults for some language detection paths
    * configure.ac: bumped version

v1.1
2003-11-17  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac: bumped version
    * src/convert.c (copy_and_convert): added fflush(file_to->stream)
      fixing occasional losing file tails, namely with external converters

2003-11-17  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, lib/internal.h, lib/common.c (enca_strdup): use our
      strdup always, not the system one, since we rely on strdup(NULL) -> NULL
    * src/locale_detect.c: fixed trying the same untransformed -L argument
      twice for codeset instead of trying the transformed one the second time
    * src/convert.c, src/locale_detect.c: added atexit() memory freeing

2003-11-16  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, lib/common.c (enca_malloc), src/Makefile.am,
      test/Makefile.am: re-added strdup() test so that native strdup is used
      when present, removed malloc test, moved LDADD stuff to foobar_LDADD
      to placate automake-1.7
    * lib/enca.c (enca_analyser_free), lib/Makefile.am: fixed not freeing the
      analyser itself
    * src/enca.c (process_file): fixed not freeing file on failure, and added
      a few more clean-up actions

v1.0
2003-11-06  David Necas (Yeti) <yeti@physics.muni.cz>
    * debian/, deb/: renamed the former to the latter

2003-11-06  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (interpret_opt): finally removed all the deprecated
      options
    * lib/lang_bg.c (eol_hook): removed since unused
    * lib/encnames.c, lib/guess.c, lib/multibyte.c, lib/filters.c, lib/pair.c,
      lib/enca.c, src/filebuf.c, src/locale_detect.c, src/options.c: fixed
      compiler warnings

2003-10-14  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/gtk-doc.m4, enca.spec.in:
      changed default dir for HTML documentation to new gtk-doc style
      /usr/share/gtk-doc/html/enca

2003-08-31  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac: put output files to AC_CONFIG_FILES instead of AC_OUTPUT

2003-08-31  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/Makefile.am, src/Makefile.am, test/Makefile.am: moved -I/foo/bar from
      blabla_CFLAGS= to INCLUDES= making automake/libtool to stop giving
      objects the long funny names

2003-07-31  David Necas (Yeti) <yeti@physics.muni.cz>
    * script/b-piconv.in, script/Makefile.am, configure.ac: added piconv
      ,perl iconv` wrapper, changed the ugly default converter code to a
      for-cycle
    * m4/localias.m4: fixed an excess locale/ in paths

2003-07-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, src/filebuf.c: check for arandom and srandom too, just in
      case

v0.99.4
2003-07-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/enca.c (process_file): open files in a directly in r+b mode when
      conversion is required
    * src/convert_iconv.c: avoided file reopening and unlinking of closed
      files, some reorganization
    * src/convert_recode.c: avoided file reopening and unlinking of closed
      files
    * test/test-iconv.sh: fixed conversion failure test actually testing
      uknown charset failure
    * test/test-recode.sh, test/Makefile.am: added librecode interface test

2003-07-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/filebuf.c (file_temporary), src/common.h, src/convert_extern.c,
      src/convert_iconv.c, src/convert_recode.c: added unlink-after-open
      parameter to file_temporary
    * src/convert_extern.c (convert_extern): unser some obscure failure,
      NULL file might be unlinked, removed a bogus error message
    * test/test-extern.c, test/failing-converter.sh,
      test/failing-converter2.sh, Makefile.am: added tests whether external
      converter errors are correctly propagated

2003-07-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/setup.sh, test/finish.sh, test/test-external.sh, test/test-iconv.sh:
      skipped tests return 77

2003-07-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac: use AC_HEADER_TIME, AC_HEADER_STDBOOL
    * src/convert_recode: changed bool definition to what autoconf recommends
    * src/common.h, src/options.c: e_isatty -> enca_isatty
    * src/filebuf.c (random_seed_init, temporary_file_name), src/common.c:
      use /dev/urandom or /dev/random for prng seeding if possible and use
      random instead of rand if possible

2003-07-12  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac: use AC_GNU_SOURCE to define _GNU_SOURCE
    * configure.ac: added checks for mktemp(1), random, gettimeofday,
      /dev/random, /dev/urandom
    * script/b-cstocs, script/b-map, script/b-umap, script/b-cstocs.in,
      script/b-map.in, script/b-umap.in, script/Makefile.am:
      the scripts now use a more random temporary file name, if possible
      the exact way of temporary filename generation is chosen configure-time

2003-07-06  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/localias.m4: added locale.aliases beside locale.alias, and x11 locale
      aliases as the last resort
    * src/locale_detect.c (locale_alias_convert): added support for : after
      alias name

2003-07-03  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/enca.c (dwim_libenca_options): tweaked mu to 0.005

v0.99.3
2003-06-30  David Necas (Yeti) <yeti@physics.muni.cz>
    * debian/rules, debian/libenca0.files, debian/libenca-dev.files: fixed
      cleaning and shlib searching

2003-06-30  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/Makefile.am: fixed taking iconvenc.h from srcdir instead of
      buildir (breaking all iconv stuff)

2003-06-30  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/finish.sh: added removing $TESTNAME.tmp
    * test/test-extern.sh, test/dummy-converter.sh,
      test/test-external.expected: added external converter test
    * test/test-convlist.sh: added --list converters vs. --version test
    * test/test-iconv.sh: added iconv interface test
    * test/test-pP.sh, test/test-pP.expected: added filename prefixing test
    * test/Makefile.am: added the stuff

2003-06-30  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (interpret_opt), src/convert.c (add_converter,
      extern_converter_listed), src/convert_extern.c (check_external_converter,
      set_external_converter), src/common.h: external converter is checked for
      executability only when conversion with external is going to take place,
      but failure is now fatal

2003-06-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * debian/changelog, debian/control, debian/copyright, debian/docs,
      debian/enca.dirs, debian/enca.files, debian/libenca-dev.dirs,
      debian/libenca-dev.doc-base, debian/libenca-dev.files,
      debian/libenca0.dirs, debian/libenca0.files, debian/postinst,
      debian/postrm, debian/preinst, debian/prerm, debian/rules, debian/watch,
      Makefile.am:
      added debian stuff

2003-06-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang.c: fixed a missing NULL eolhook initializer
    * lib/lang_bg.c (eol_hook), lib/lang_et.c (eol_hook): fixed returning a
      pointer instead of calling the hook func

2003-06-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/libiconv.m4, m4/librecode.m4: fixed restoring yeti_save_CPPFLAGS and
      yeti_save_LDFLAGS even when they were not saved, breaking build with
      --without-libiconv

2003-06-28  David Necas (Yeti) <yeti@physics.muni.cz>
    * Makefile.am, devel-docs/Makefile.am, lib/Makefile.am, src/Makefile.am,
      test/Makefile.am, tools/Makefile.am: made `make distcheck' work;
      iconvenc.h is not distributed, src/encodings.h is properly cleaned,
      devel-docs are rebuilt only on explicite `make docs'

2003-06-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/Makefile.am: added missing BOXVERT_CP1125

2003-06-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/expand_table.pl: changed calling convention so that it works better
      with VPATH builds
    * m4/recode-bugs.m4: added $srcdir for long-text.l2 and crash-me
    * m4/libiconv.m4: added $srcdir for iconvcap.c, tools/iconvenc.null
    * test/test-ENCAOPT.sh, test/test-aliases.sh, test/test-convert-64.sh,
      test/test-convert-filter.sh, test/test-default-cs.sh, test/test-empty.sh,
      test/test-errors.sh, test/test-guess-short.sh, test/test-guess-stdin.sh,
      test/test-guess-utf8.sh, test/test-lists.sh, test/test-long-texts.sh,
      test/setup.sh, test/finish.sh, test/Makefile.am: added $srcdir,
      $top_srcdir, $top_builddir where appropriate,
      exported them in TESTS_ENVIRONMENT in the Makefile
    * tools/iconvenc.null: added the new charsets
    * lib/Makefile.am, src/Makefile.am, data/Makefile.am, test/Makefile.am,
      tools/Makefile.am, Makefile.am, script/Makefile.am,
      devel-docs/Makefile.am: added $(srcdir), $(top_srcdir), and
      $(top_builddir) where appropriate so that VPATH builds succeed
    * src/Makefile.am: HELP.c and COPYING.c are cleaned on make clean
    * Makefile.am: iconvenc.h is distributed identical to iconvenc.null
    * devel-docs/Makefile.am: all the gtk-doc stuff is build only in
      maintainer mode, added missing uninstall rule

2003-06-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_iconv.c (iconv_one_step, convert_iconv): when iconv fails,
      try to recover the file
    * filebuf.c (file_fileno, file_truncate): added fileno(3) and ftruncate(2)
      wrappers
    * configure.ac: removed redundant popen check

2003-06-25  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_iconv.c (convert_iconv): don't try conversion to ASCII,
      it never works

2003-06-25  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/enca.h, lib/internal.h, src/common.h, lib/multibyte.c, lib/guess.c:
      #include <sys/types.h> for ssize_t, removed a few misguided #ifdefs for
      probably non-macro symbols

v0.99.2
2003-06-25  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/Makefile.am: removed dirty.h

2003-06-25  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (detect_lang, set_raw_locale, detect_user_language,
      detect_target_charset, static_iso639_alias_convert), src/options.c:
      refactored the language and codeset detection, more locale categories
      are now used for language detection, some corresponding messages have
      been made clearer

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/dirty.h, src/common.h: removed dirty.h, including ../lib/internal.h
      directly for the several libenca internals -- it also fixes possible
      inclusion of wrong enca header on systems with installed old libenca

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang.c (enca_language_english_name), lib/internal.h,
      src/options.c (print_languages): made the english language name available
      to library users, when name style is HUMAN or DETAILS, --list languages
      prints english languages names instead of ISO-639 codes

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/Makefile.am: removed simtable from normal builds

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_be.c, lib/lang_bg.c, lib/lang_cs.c, lib/lang_et.c,
      lib/lang_hr.c, lib/lang_hu.c, lib/lang_lt.c, lib/lang_lv.c,
      lib/lang_pl.c, lib/lang_ru.c, lib/lang_sk.c, lib/lang_sl.c,
      lib/lang_uk.c, lib/filters.c (enca_language_hook_eol),
      lib/guess.c (ambiguous_hook), lib/internal.h:
      added enca_language_hook_eol() deciding undistinguishable cases based
      on EOL type, added appropriate hooks for all languages, removed
      enca_language_hook_discard(), added eolhook field to EncaLanguageInfo,
      used in ambiguous_hook()

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/belarussian/doit.sh, data/bulgarian/doit.sh, data/croatian/doit.sh,
      data/czech/doit.sh, data/estonian/doit.sh, data/hungarian/doit.sh,
      data/latvian/doit.sh, data/lithuanian/doit.sh, data/polish/doit.sh,
      data/russian/doit.sh, data/slovak/doit.sh, data/slovene/doit.sh,
      data/ukrainian/doit.sh: fixed charset orderings to help ambiguous hook
      to select some sane charset

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/internal.h: added enca_csname macro and #include <stdio.h> when
      DEBUG is defined

2003-06-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/unicodemap.c, data/maps/cork.map: modified cork map to transform \n,
      \r and \t to themselves, though it's incorrect, strictly speaking

2003-06-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/test-default-cs.sh: fixed: when one conversion failed, it reported
      all failed

2003-06-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/pair.c (enca_pair_analyse): incorporated min_chars and threshold
      to the decision formula

2003-06-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/expand_table.pl: changed flag table items from short int to byte
    * lib/pair.c, lib/multibyte.c, lib/encnames.c: changed the flag table
      types to byte

2003-06-23  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/Makefile.am, tools/BOXVERT_KOI8U.t, tools/BOXVERT_KOI8UNI.t,
      src/filters.c: added ibm775, koi8u, koi8uni, cp1125 filters

2003-06-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/enca.c (dwim_libenca_options): changed mu to 0.008

v0.99.1
2003-06-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c: fixed missing newline after features

2003-06-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/Makefile.am, test/setup.sh, test/test-convert-64.sh,
      test/test-convert-filter.sh, test/test-default-cs.sh,
      test/test-guess-short.expceted, test/test-guess-utf8.expected:
      updated the expceted results, added missing files to dist

2003-06-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/finish.sh, test/setup.sh, test/test-ENCAOPT.sh,
      test/test-aliases.sh, test/test-convert-64.sh,
      test/test-convert-filter.sh, test/test-default-cs.sh, test/test-empty.sh,
      test/test-errors.sh, test/test-guess-short.sh, test/test-guess-stdin.sh,
      test/test-guess-utf8.sh, test/test-lists.sh, test/test-long-texts.sh,
      test/Makefile.am: separated common test initialization and finalization
      to setup.sh and finish.sh, added tests for remaining languages, added
      UTF-8 samples to basic tests

2003-06-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (static_iso639_alias_convert): fixed exchanged
      lv and lt

2003-06-20  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/libm.m4, Makefile.am, enca.pc.in: added pkgconfig support

2003-06-20  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/pager.m4, configure.ac, Makefile.am src/epress.c, src/texts.c,
      src/Makefile.am, src/text2c.sh, src/options.c (interpret_opt,
      print_text_and_exit), man/enca.1: removed pager and help compression

2003-06-20  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/common.h, src/enca.c (process_file, dwim_libenca_options),
      src/filebuf.c (file_read, file_read_limited), src/options.c:
      fixed buffer size to 64kB, made file_read_limited() a private function,
      DWIM all analyser tuning parameters
    * lib/guess.c (enca_eol_surface), lib/Makefile.am: added check for binary
      files (we can get here with binary files and filtering off), increased
      library revision
    * test/test-errors.sh: removed the two tests using -S

2003-06-19  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (set_read_limit, interpret_opt), src/filbuf.c: removed
      set_read_limit(), marked -m, -M, -u, -U, -R, -T, and -S deprecated and
      made them noop

2003-06-19  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (print_some_list): removed the deprecated
      built-in-encodings and encodings lists

2003-06-19  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, Makefile.am: changed manual maintainer mode to
      AM_MAITAINER_MODE

2003-06-19  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/enca.h: changed BEGIN_C_DECLS... to two simple #ifdefs and moved it
      to really contain all the decls

v0.99.0
2003-06-14  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/map2letters.sh: create letters/ when doesn't exist
    * data/Makefile.am: added Letters and some more files into dist

2003-06-14  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_iconv.c (convert_iconv_via_unicode): removed support for
      nontransitive iconv (all usable iconvs are transitive too)
    * m4/libiconv.m4: added a warning when usable but nontransitive iconv
      is found

2003-06-14  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_iconv.c (convert_iconv): fixed not unlinking a temporary file
    * src/convert_iconv.c (convert_iconv, acceptable_surface): bad EOL types
      are OK now
    * src/filebuf.c (file_temporary): fixed creation of temporary files with
      execute permission (from 0.10.7)

2003-06-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_et.c, lib/filters.c (enca_language_hook_ncs): fixed a stupid
      enca_language_hook_ncs bug, finished estonian hooks

2003-06-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_be.c, lib/lang_bg.c, lib/lang_cs.c, lib/lang_et.c,
      lib/lang_hr.c, lib/lang_hu.c, lib/lang_lt.c, lib/lang_lv.c,
      lib/lang_pl.c, lib/lang_ru.c, lib/lang_sk.c, lib/lang_uk.c,
      lib/filters.c (enca_language_hook_ncs), lib/internal.h:
      implemented enca_language_hook_ncs and removed enca_language_hook_2cs
      also defined MAKE_HOOK_LINE in internal.h

2003-06-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/internal.h: defined ELEMENTS
    * lib/enca.c, lib/encnames.c, lib/filters.c, lib/lang.c, lib/unicodemap.c:
      make use of ELEMENTS

2003-06-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/filters.c (enca_language_hook_2cs), lib/internal.h, lib/guess.c
      (ambiguous_hook, make_guess, enca_guess_init, enca_guess_destroy,
       enca_find_max_sec): replaced csmax and cssec with order[] containing
       all charsets, ordered by ratings

2003-06-12  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang.c (enca_get_charset_similarity_matrix): fixed broken
      normalization

2003-06-12  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_hu.c (hook, hook_isocork): added iso88592/cork hook

2003-06-11  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/recode-bugs.m4: added a few more broken map tests

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_lv.c (hook, hook_lat4balt): added iso88594/baltic hook and
      finally added all the hooks to hook()

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_hu.c, lib/lang_lv.c, lib/lang_lt.c, lib/filters.c,
      lib/internal.h: the discard-hook sets rating to 0 always and now takes
      reasonable arguments

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/estonian, data/latvian, datal/lithuanian: fixed a few wrong
      characters
    * lib/lang_lt.c (hook_baltwin), lib/lang_lv.c (hook_baltwin): added and
      updated hooks

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_sl.c (hook): replaced empty hook with NULL

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/filters.c (enca_language_hook_discard), lib/lang_hu.c (hook_isowin),
      lib/lang_lv.c (hook_iso13win): added `discard second charset' hook

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/internal.h, lib/guess.c (find_max_sec, enca_find_max_sec):
      exported find_max_sec as enca_find_max_sec, it's needed in hooks after
      all
    * lib/guess.c (make_guess), lib/filters.c (enca_language_hook_2cs):
      moved enca_find_max_sec() to the hook

2003-06-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/maps/iso885913.map, lib/unicodemap.c: fixed (another) wrong recode
      map: iso8859-13
    * data/latvian: remove a-with-diaeresis from counts
    * lib/lang_lv.c (hook, hook_iso13win): added a hook deciding between
      iso8859-13 and cp1257 (always to cp1257)

2003-06-09  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/pair.c (compute_pair2bits): fixed a bug
    * data/bulgarian: regenerated from somewhat cleaner data

2003-06-09  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_bg.c (hook, hook_1251mac): added cp1251/maccyr hook

2003-06-08  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/pair.c (count_good_pairs, count_good_pairs_directly,
      compute_pair2bits, enca_pair_analyse, enca_pair_init, enca_pair_destroy),
      lib/internal.h: replaced the two good pair counting algorithms with a
      one clever and fast (but with some initialization overhead)

2003-06-08  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang.c: fixed missing human name initialized for lang none

2003-06-08  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/croatian/cp1250.base: added a missing char
    * lib/lang_hr.c (hook, hook_isowin): added l2/1250 hook

2003-06-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/internal.h, lib/lang_be.c, lib/lang_bg.c, lib/lang_cs.c,
      lib/lang_et.c, lib/lang_hr.c, lib/lang_hu.c, lib/lang_lt.c,
      lib/lang_lv.c, lib/lang_pl.c, lib/lang_ru.c, lib/lang_sk.c,
      lib/lang_sl.c, lib/lang_uk.c: added human-readable language names, not
      exported in any way yet

2003-06-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (static_iso639_alias_convert): added croatian -> hr

2003-06-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/Makefile.am, data/croatian/doit.sh, lib/lang_hr.s, lib/internal.h,
      lib/lang.c, lib/Makefile.am, test/simtable.c: added Croatian

2003-06-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * Makefile.am: added tools back to normal-build subdirs, it's needed

2003-06-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/simtable.c: colorized output added command line args

2003-06-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/pair.c (enca_pair_analyse, count_good_pairs, count_all_8bit_pairs,
      count_good_pairs_directly): split analysis for large and small samples
    * lib/guess.c: actually takes enca_pair_analyse() result into account

2003-06-03  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/countpair.c, data/pairtoc.c: changed ordering so that FILL_CHARACTER
      is always first (and has 0 in letters table)
    * lib/pair.c (count_good_pairs): fixed a segfault

2003-06-03  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/Makefile.am: make clean cleans more auxiliary files

2003-06-03  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/maps/baltic.map: fixed baltic map (it was complete garbage?)

2003-06-03  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/enca.c (enca_analyser_alloc, enca_analyser_free), lib/pair.c,
      lib/internal.h, lib/guess.c (make_guess), lib/Makefile.am: added pair
      frequency based guessing

2003-06-02  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/internal.h, lib/lang.c, lib/lang_be.c, lib/lang_bg.c, lib/lang_cs.c,
      lib/lang_et.c, lib/lang_hu.c, lib/lang_lt.c, lib/lang_lv.c,
      lib/lang_pl.c, lib/lang_ru.c, lib/lang_sk.c, lib/lang_sl.c,
      lib/lang_uk.c: added pair data to struct _EncaLanguageInfo

2003-06-02  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/Makefile.am, data/doit.sh, data/makepaircounts.sh, data/pairtoc.c,
      data/totals.pl: combined pair stuff with regular frequencies,
      $language.h now contains everything

2003-06-01  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/Letters: added (list of UCS2 values corresponding to letters)
    * data/Makefile.am, data/paircount.c, data/map2letters.sh,
      data/findletters.c, data/makepaircounts.sh, README: changed letters
      format to list of 8bit values, instead of UCS2 values, simplifying
      everything

2003-06-01  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac, README.devel, Makefile.am: added --enable-maintainer-mode
      to skip all the silly stuff in tools/ and data/ in regular builds

2003-06-01  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/basetoc.pl, data/basetoc.c, data/Makefile.am, data/doit.sh,
      pairtoc.c: replaced basetoc.pl with basetoc.c, continued reorganization
      and paircount

2003-06-01  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/unicodemap.c, data/maps/cork.map: fixed cork map

2003-05-31  David Necas (Yeti) <yeti@physics.muni.cz>
    * maps/baltic.map, maps/cork.map, maps/cp1125.map, maps/cp1250.map,
      maps/cp1251.map, maps/cp1257.map, maps/ecma113.map, maps/ibm775.map,
      maps/ibm852.map, maps/ibm855.map, maps/ibm866-bad.map, maps/ibm866.map,
      maps/iso885913.map, maps/iso885916.map, maps/iso88592.map,
      maps/iso88594.map, maps/iso88595.map, maps/keybcs2.map, maps/koi8cs2.map,
      maps/koi8r.map, maps/koi8u.map, maps/koi8ub.map, maps/koi8uni.map,
      maps/macce.map, maps/maccyr.map: moved maps to separate subdir
    * data/belarussian/doit.sh, data/bulgarian/doit.sh, data/czech/doit.sh,
      data/estonian/doit.sh, data/hungarian/doit.sh, data/latvian/doit.sh,
      data/lithuanian/doit.sh, data/polish/doit.sh, data/russian/doit.sh,
      data/slovak/doit.sh, data/slovene/doit.sh, data/ukrainian/doit.sh,
      data/doit.sh, data/makepaircounts.sh, data/Makefile.am: use xlt
      exclusively, become independent on recode, some more reorganization
    * data/map2letters.sh: added

2003-05-31  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/unicodemap.c: fixed wrong macce table taken from recode
    * m4/recode-bugs.m4: added test for broken macce

2003-05-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_hu.c: fixed misreference to Slovak
    * data/cp1250.map, data/iso88592.map: added

2003-05-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (static_iso639_alias_convert, strip_locale_name):
      added the new languages, refactored the two ugly arrays to one

2003-05-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_bg.c, lib/lang_et.c, lib/lang_lv.c, lib/lang_lt.c,
      lib/internal.h, lib/lang.c, lib/Makefile.am: added the new languages
    * test/simtable.c: added the new languages

2003-05-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/test-long-texts.sh: fixed configure.in -> configure.ac

2003-05-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/bulgarian, data/Makefile.am: added
    * tools/encodings.dat, lib/unicodemap.c, iconvcap.c: added ECMA-113 charset

2003-05-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/cp1257.map, data/iso88594.map, data/estonian, data/latvian,
      data/lithuanian, data/Makefile.am: added

2003-05-27  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.ac: fixed some misleading messages in the summary table

2003-05-27  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/Makefile.am, data/README: removed all countall.pl reminicences

2003-05-27  David Necas (Yeti) <yeti@physics.muni.cz>
    * iconvcap.c: fixed ISO-8859-5 incorrectly detecting Latin5, which is
      a completely different character set
    * iconvcap.c: added some aliases
    * lib/unicodemap.c, iconvcap.c, tools/encodings.dat:
      added IBM775, ISO-8859-4, Windows-1257 to appropriate places

2003-05-27  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/countall.c, data/Makefile.am, data/countall.pl, data/ibm775.map,
      data/README:
      replaced countall.pl with countall.c
      added ibm775 (dos baltic) map

2003-05-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/lang_sl.c, lib/lang_hu.c, data/slovene/, data/hungarian/, lib/lang.c,
      lib/internal.h, lib/Makefile.am, data/Makefile.am:
      added Slovene and Hungarian
    * tools/encodings.dat: added cp895 alias for kam

2003-03-17  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/enca.h: fixed nonsense license and references to recode

v0.10.7
2003-01-28  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/filebuf.c (file_size, file_temporary): open files first, stat them
      later, create temporary files with O_CREAT|O_EXCL
    * src/filebuf.c: added a few asserts
    * configure.in: added fcntl.h test

2003-01-28  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert.c (format_request_string): fixed surface mask to mean what
      was (probably) intended
    * src/convert_recode (convert_recode): changed surface mask to only filter
      ENCA_SURFACE_EOL_LF unknown to recode and natural surfaces

2003-01-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert.c (convert_builtin, copy_and_convert): applied David
      Vorisek's speed improvements (thx)

2003-01-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * script/b-cstocs: also added tex and utf8 here

2003-01-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/encodings.dat: added tex and utf8 cstocs names, recent versions of
      cstocs know UTF-8
    * tools/make_hash.c (print_fine_data): fixed exchanged cstocs and iconv
      names

2002-12-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/HELP.in: indented options with one space (so it works with help2man)

2002-10-30  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (interpret_opt), src/covnert.c (xtable):
      Fixed assert()'s containing useful code.

v0.10.6
2002-10-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (interpret_opt), src/locale_detect.c:
      Removed #if HAVE_NL_LANGINFO from options.c altogether (codeset is always
      defined), fixed a few #if's in locale_detect.c.

2002-10-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/test-ENCAOPT.sh, test/test-convert-filter.sh,
      test/test-long-texts.sh, test/test-guess-stdin.sh,
      test/test-default-cs.sh:
      Added tests.

2002-10-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (interpret_opt):
      Fixed -P also setting -M.

2002-10-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_recode.c (print_recode_warning):
      Moved it into the #if HAVE_LIBRECODE block.

2002-10-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/enca.c (print_results):
      Fixed printing NULL as stdin's filename with -d.

2002-10-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/guess.c (ambiguous_hook):
      Fixed totally bogus charset id handling, fixed comparing winner and
      second best many times while not comparing winner with others.
    * lib/unicodemap.c (enca_charsets_subset_identical):
      Fixed totally bogus charset unicode map table start handling.

2002-10-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1:
      updated

2002-10-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (process_opt):
      enconv uses recode's DEFAULT_CHARSET, if set.

2002-10-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/options.c (prepend_env), man/enca.1:
      Added a very simple built-in parser for ENCAOPT, so it's works
      everywhere.

2002-10-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/pager.m4, src/texts.c:
      less is run with -F only if it accepts -X too, otherwise it's too
      offending

2002-10-14  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/Makefile.am:
      Added the missing test samples.

v0.10.5
2002-10-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/test.expected, test/test-guess-short.expected,
      test/test-guess-short.sh:
      Renamed test.expected to test-guess-short.expected.

2002-10-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/enca.c (double_utf8_chk, process_file):
      Made it use the new Doubly-UTF-8 checks.

2002-10-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/utf8_double.c, lib/internal.h, lib/enca.c (enca_analyser_alloc,
      enca_analyser_free), lib/enca.h:
    * devel-docs/libenca-sections.txt:
      Added lib/utf8_double.c containing checks for Double-UTF-8 encoding,
      with quite a strange API.

2002-10-13  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/guess.c (make_guess), lib/internal.h,
      lib/multibyte.c (looks_like_utf8):
      Added looks_like_utf8() and support for non-pure UTF-8.

2002-10-12  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/mystrings.c (main):
      Fixed not printing the character causing switch to text mode, thus
      distorting the output.

2002-10-12  David Necas (Yeti) <yeti@physics.muni.cz>
    * FAQ, Makefile.am:
      Added FAQ.

2002-10-12  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert_recode.c (convert_recode, print_recode_warning):
    * m4/librecode.m4:
      Use librecode at task level, instead of request level, allowing to
      distinguish between conversion and I/O errors, added warnings for the
      former, recodext.h is required now to build the librecode interface

2002-10-11  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/Makefile.am, tools/Makefile.am:
      Changed libenca linking from -lenca to ../lib/libenca.la (thx to
      Alexander Kovalenko)
      Added @LDFLAGS@ to LDFLAGS

2002-10-11  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c:
      Fixed codeset not being defined without nl_langinfo (thx to Alexander
      Kovalenko)

2002-10-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/unicodemap.c:
      Added Unicode map for Cork

v0.10.4
2002-10-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1, lib/Makefile.am:
    * test/cs-s.cork, test/pl-s.cork, test/sk-s.cork,
    * test/test-guess-short.sh, test/Makefile.am:
      Updated man page, library revision, added tests -- for Cork

2002-10-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/make_hash.c, tools/encodings.dat:
      Allowed to use empty charset flags list instead of 0

2002-10-10  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/czech/doit.sh, data/slovak/doit.sh, data/polish/doit.sh:
    * tools/encodings.dat, iconvcap.c, tools/iconvenc.null:
      Added support for Cork (Czech, Slovak, Polish)

2002-10-09  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/filebuf.c (file_read, file_write, file_new, file_seek, file_open):
    * src/common.h:
    * configure.in:
      Removed the pos field form _File struct, removed locking, reverted
      reading and writing to 0.9.x style

2002-10-04  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/enca.c (process_file):
      Empty files are assumed to be in target encoding for conversion.
    * test/test-empty.sh:
      Check whether empty files are OK for conversion but bad for detection.

2002-09-30  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/Makefile.am:
      Changed linker flags to allow RPMs to be correctly built

2002-09-25  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/Makefile.am, lib/encnames.c, lib/lang_cs.c, lib/lang_be.c,
      lib/lang_sk.c, lib/lang_ru.c, lib/lang_pl.c, lib/lang_uk.c:
      Removed -I../tools -I../data from search paths, changed
      #include "czech/czech.h"
      to
      #include "data/czech/czech.h"
      etc.

v0.10.3
2002-09-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1:
      Fixed a few valid HTML generation problems

2002-09-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/librecode.m4, m4/libiconv.m4, configure.in:
      Changed CFLAGS to CPPFLAGS where appropriate (fixes header presence
      tests).

2002-09-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * configure.in:
      fixed adding wrong flags to CFLAGS and LDFLAGS in PREFIX/{lib/include}
      adding hack

2002-09-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * script/b-umap, script/Makefile.am:
      added a new wrapper for perl umap
    * configure.in:
      added umap support
    * script/b-map:
      workaround about map returning 0 on failure and 1 on success

2002-09-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * script/b-cstocs, script/b-recode, script/b-map:
      removed the `function' keyword (traditional sh doesn't use it)

v0.10.2
2002-09-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (set_raw_locale, detect_lang):
      fixed wrong locale logic after inheriting

2002-09-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * Makefile.am:
      removed now useless echo >iconvenc.h

2002-09-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/filebuf.c (file_open):
      added fsetlocking() to BYCALLER

2002-09-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/Makefile.am, Makefile.am:
      added linking enca -> enconv, the same for manual pages
    * man/enca.1:
      updated
    * configure.in:
      fixed setting default external converter when not available

2002-09-15  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (detect_lang, set_raw_locale,
      static_iso639_alias_convert, get_lang_codeset):
    * src/options.c (process_opt):
    * src/common.h:
    * src/HELP.in:
      Implemented auto target charset feature.
      Added static language name decryption table.
      Added <language>_<dialect> to <language> conversion (cs_SK, ru_UA).

2002-09-14  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/texts.c, src/convert_iconv.c, src/convert_extern.c:
      Replaced perror("") with strerror()s, removed errno= assigments.

v.0.10.1
2002-08-29  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/iconv.m4, m4/librecode.m4, m4/libiconv.m4:
      renamed iconv.m4 to libiconv.m4, changed --eanble to --with
    * configure.in:
      added $PREFIX to lib search path
    * tools/Makefile.am:
      fixed the iconv names substitution rule so that even dull sed accepts it
    * src/filebuf.c (file_read, file_write, file_seek, file_open):
      read/write whole block at once
    * src/convert.c (convert_builtin):
      catches all identity conversions

2002-08-28  David Necas (Yeti) <yeti@physics.muni.cz>
    * m4/recode-bugs.m4, m4/iconv.m4, configure.in:
      small fixes
    * src/filebuf.c, man/enca.1:
      <STDIN>, <STDOUT> cnaged to STDIN, STDOUT
    * src/convert.c (convert_builtin):
      made identity ascii..ascii work again
    * src/options.c (process_opt, interpret_opt):
      print help only when run w/o any arguments (not just w/o filenames)
      accept `-' as stdin
    * src/enca.c (main):
      fixed crash on unknown language

2002-08-28  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/enca.h (enca_charset_is_known), lib/Makefile.am:
      API: added this covenience macro, updated library version

    * src/convert.c (set_external_converter, convert_extern,
      check_executability, check_executability_one), src/convert_extern.c:
      added early converter executability text, moved all external converter
      stuff to convert_extern.c, fixed target encoding name construction,
      make all the stuff optional
    * configure.in:
      added tests for canonicalize_file_name, realpath, uid_t, mode_t
    * src/options.c, src/convert.c:
      made external converter a feature

2002-08-27  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/test-aliases.sh, test/test-convert-64.sh, test/Makefile.am:
      added new tests
    * configure.in, src/filebuf.c (random_seed_init):
      cleaned the time mess, #include only time.h and use only time()

2002-08-27  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/unicodemap.c (MAKE_CS_LINE, enca_charset_ucs2_map):
      fixed wrong tstart handling

v0.10.0
2002-08-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * debian/:
      removed.

2002-08-26  David Necas (Yeti) <yeti@physics.muni.cz>
    * THANKS:
      fixed typo
    * lib/unicodemap.c (UNICODE_MAP):
      added missing cp1125
    * m4/scanf.m4:
      define SCANF_MODIF_SIZE_T always, at least to ""
    * configure.in:
      made PACKAGE_BUGREPORT quotable C string

2002-08-24  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/filebuf.c (random_generator_seeded, EVERYTHING):
      get rid of perror(""), changed random_generator_seeded to module-global,
      formal changes
    * Makefile.am:
      removed the debian-updating targets
    * m4/iconv.m4, m4/librecode.m4:
      changed test help defaults from [yes] to [auto]
    * configure.in:
      added fread_unlocked, fwrite_unlocked, ftrylockfile, __fsetlocking,
      stdio_ext.h tests

2002-08-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/convert.c (format_request_string, target_enc, target_enc_str):
      fixed convert.c defining its own target_enc and target_enc_str, which
      was of course never set

2002-08-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * data/belarussian:
      rebuild the data after removing a few Russian texts which crept into

2002-08-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * test/test.sh, test/test-guess-short.sh, test/test-lists.sh:
      renamed the first to the second, added the third

2002-08-22  David Necas (Yeti) <yeti@physics.muni.cz>
    * man/enca.1:
      updated

2002-08-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * enca.spec.in, Makefile.am:
      updated, split into enca and enca-devel

2002-08-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * lib/guess.c (enca_set_threshold, enca_set_significant):
      API: Also set analyser errno beside returning nonzero on failure.

2002-08-21  David Necas (Yeti) <yeti@physics.muni.cz>
    * tools/Makefile.am:
      Changed extension of generated tables from .c to .h

2002-08-20  David Necas (Yeti) <yeti@physics.muni.cz>
    * devel-docs/Makefile.am:
      Added empty all-local: rule for disabled GTK_DOC

2002-08-20  David Necas (Yeti) <yeti@physics.muni.cz>
    * src/locale_detect.c (detect_lang, locale_alias_convert):
      Fixed forgotten e_strdup -> enca_strdup.

2002-08-20  David Necas (Yeti) <yeti@physics.muni.cz>
    * ChangeLog, ChangeLog.prelib:
      Moved pre-library changelog to Changelog.prelib, started new one.

v0.10.0-pre1
2002-08-19  David Necas (Yeti) <yeti@physics.muni.cz>
    * Released v0.10.0-pre1
